import {Injectable} from "@angular/core";
import ApiService, {AvailableVersion} from "@api/api.service";
import {LectureHallResponse} from "@api/v1/lectureHallResponse";
import {LectureHallDetailsResponse} from "@api/v1/lectureHallDetailsResponse";

@Injectable()
export class LectureHallService extends ApiService {
  public readonly basePath = 'LectureHall/';
  public readonly version = AvailableVersion.v1;

  public getLectureHalls() {
    return this.get<LectureHallResponse[]>();
  }

  public getById(id: number) {
    return this.get<LectureHallDetailsResponse>(id.toString());
  }

  public getByCampus(id: number) {
    return this.get<LectureHallResponse[]>('GetByCampus/' + id.toString());
  }
}
