import {Injectable} from "@angular/core";
import ApiService, {AvailableVersion} from "@api/api.service";
import {LessonTypeResponse} from "@api/v1/lessonTypeResponse";

@Injectable()
export class LessonTypeService extends ApiService {
  public readonly basePath = 'LessonType/';
  public readonly version = AvailableVersion.v1;

  public getLessonTypes(page: number | null = null, pageSize: number | null = null) {
    let request = this.createRequestBuilder()
      .setQueryParams({page: page, pageSize: pageSize})
      .build;

    return this.get<LessonTypeResponse[]>(request);
  }
}
