import {ApplicationConfig, LOCALE_ID} from '@angular/core';
import {provideRouter} from '@angular/router';
import {routes} from './app.routes';
import {provideAnimationsAsync} from '@angular/platform-browser/animations/async';
import {provideHttpClient} from "@angular/common/http";
import {provideToastr} from "ngx-toastr";
import {MAT_DATE_LOCALE, provideNativeDateAdapter} from "@angular/material/core";

export const appConfig: ApplicationConfig = {
  providers: [
    provideRouter(routes),
    provideAnimationsAsync(),
    provideHttpClient(),
    provideToastr({
      timeOut: 5000,
      extendedTimeOut: 2000,
      positionClass: "toast-top-right",
      progressBar: true,
      progressAnimation: "decreasing",
      newestOnTop: true,
      tapToDismiss: true,
      disableTimeOut: false,
      autoDismiss: true,
      maxOpened: 5
    }),
    provideNativeDateAdapter(),
    { provide: LOCALE_ID, useValue: 'ru' },
    { provide: MAT_DATE_LOCALE, useValue: 'ru' }]
};
